Innhold
Innholdsliste 🔎︎

# Logiske funksjoner

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

For å bruke denne funksjonen …

Sett inn → Funksjon → Kategori Logisk

## ELLER (OR på engelsk)

Gir SANN hvis minst ett argument er SANN. Denne funksjonen gir verdien USANN hvis alle argumentene har den logiske verdien USANN.

Argumentene er enten logiske uttrykk i seg selv (SAND, 1<5, 2+3=7, B8<10) som gir logiske verdier, eller celleområder (A1:C3) som inneholder logiske verdier.

### Syntax

ELLER(LogiskVerdi1; LogiskVerdi2 ...LogiskVerdi30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

### Example

De logiske verdiene av verdiene 12<11; 13>22, og 45=45 skal sjekkes.

=ELLER(12<11; 13>22; 45=45) gir SANN.

=ELLER(USANN; SAND) gir SANN.

## HVIS (IF på engelsk)

Angi en logisk test som skal utføres.

### Syntax

IF(Test; ThenValue; OtherwiseValue)

LogiskTest er en vilkårlig verdi eller et vilkårlig uttrykk, som kan være SANN eller USANN.

VerdiHvisSann (valgfri) er den verdien som returneres hvis den logiske testen er SANN.

VeriHvisUsann (valgfri) er den verdien som returneres hvis den logiske test er USANN.

I LibreOffice Calc-funksjoner kan parametre merket som «valgfri» kun utelates hvis ingen parameter følger etter. For eksempel i en funksjon med fire parametre, hvor de siste to parametrene er merket som «valgfri», kan du utelade parameter 4 eller parametrene 3 og 4, men du kan ikke utelate parameter 3 alene.

### Example

=HVIS(A1>5;100;"for lite") Hvis verdien i A1 er høyere enn 5, vil verdien 100 bli vist i den gjeldende cellen; ellers vises teksten "for lite" (uten hermetegn).

## IKKE (NOT på engelsk)

Inverterer den logiske verdien.

### Syntax

IKKE(LogiskVerdi)

LogiskVerdi er en vilkårlig verdi som kan negeres.

### Example

=IKKE(A). A=SANN negeres til A=USANN.

## OG (AND på engelsk)

Gir SANN hvis alle argumentene er SANN. Hvis et av elementene er USANN, vil denne funksjonen gi verdien USANN.

Argumentene er enten logiske uttrykk i seg selv (SAND, 1<5, 2+3=7, B8<10) som gir logiske verdier, eller celleområder (A1:C3) som inneholder logiske verdier.

### Syntax

OG(LogiskVerdi1; LogiskVerdi2 ...LogiskVerdi30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

### Example

De logiske verdiene av verdiene 12<13; 14>12, og 7<6 kan kontrolleres:

=OG(12<13; 14>12; 7<6) gir USANN.

=OG(USANN; SANN) gir USANN.

## SANN (TRUE på engelsk)

Den logiske verdien blir satt til SANN. SANN()-funksjonen krever ingen argumenter og gir alltid den logiske verdien SANN.

### Syntax

TRUE()

### Example

Hvis A=SANN og B=USANN oppstår følgende eksempler:

=OG(A; B) gir USANN

=ELLER(A; B) gir SANN

=IKKE(OG(A; B)) gir SANN

## USANN (FALSE på engelsk)

Gir den logiske verdien USANN. USANN()-funksjonen trenger ingen argumenter og gir alltid den logiske verdien USANN.

### Syntax

USANN()

### Example

=USANN() gir USANN

=IKKE(USANN()) gir SANN

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

Argumentene er enten logiske uttrykk i seg selv (SAND, 1<5, 2+3=7, B8<10) som gir logiske verdier, eller celleområder (A1:C3) som inneholder logiske verdier.

Denne funksjonen er tilgjengelig siden LibreOffice4.0

### Syntax

ELLER(LogiskVerdi1; LogiskVerdi2 ...LogiskVerdi30)

### Example

=OG(USANN; SANN) gir USANN.

=ELLER(USANN; SAND) gir SANN.

=ELLER(USANN; SAND) gir SANN.

Lignende emner

Funksjoner etter kategori